Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.connect
Class DbValue

    java.lang.Object
      jet.connect.DbValue

Direct Known Subclasses:
  DbBinary, DbBit, DbChar, DbDateTime, DbNumber, fArray

    public abstract class DbValue

extends java.lang.Object

A abstract class that provides a set of methods to convert data between an JDBC data type to Java data types.

Field Summary
`boolean` | `bNull`
`static DbColDesc` | `CHAR_DESC`
`static DbColDesc` | `CURRENCY_DESC`
`static DbColDesc` | `DATE_DESC`
`DbColDesc` | `desc`
`static DbColDesc` | `DOUBLE_DESC`
`static DbColDesc` | `INTEGER_DESC`
`static DbColDesc` | `TIME_DESC`

Constructor Summary
`DbValue()`
`DbValue(DbColDesc desc)`

Method Summary
`abstract java.lang.Object` | `clone()` Creates a clone of this DbValue variable.
`abstract int` | `compareTo(DbValue v)` Compare with the dbvalue v;
`abstract boolean` | `equals(DbValue v)` Determine if another DbValue object is of equal value as this DbValue Object
`boolean` | `equals(java.lang.Object v)`
`DbColDesc` | `getColDesc()`
`int` | `getPrecision()`
`int` | `getScale()`
`int` | `getSqlType()` Returns the SqlType.
`boolean` | `isCurrency()` Is this object a cash value?
`boolean` | `isNull()` Returns the value null state.
`static DbValue` | `makeDbValue(DbColDesc desc)` Make a dbvalue with the column description.
`abstract void` | `set(DbValue v)` Set the value with DbValue.
`void` | `set(JRHierarchicalDataset hds, int col)`
`abstract void` | `set(java.sql.ResultSet rs, int col)` Set the value with result set.
`void` | `setColDesc(DbColDesc desc)`
`void` | `setfoo(DbValue v)`
`void` | `setNull()` Set the value to null.
`void` | `setValue(DbValue v)`
`abstract void` | `setValue(java.lang.String v)` Set the value with a string.
`abstract java.lang.String` | `toString()` Convert the value to string.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### desc

    public DbColDesc desc

### bNull

    public boolean bNull

### DOUBLE_DESC

    public static DbColDesc DOUBLE_DESC

### CURRENCY_DESC

    public static DbColDesc CURRENCY_DESC

### DATE_DESC

    public static DbColDesc DATE_DESC

### TIME_DESC

    public static DbColDesc TIME_DESC

### CHAR_DESC

    public static DbColDesc CHAR_DESC

### INTEGER_DESC

    public static DbColDesc INTEGER_DESC

Constructor Detail

### DbValue

    public DbValue()

### DbValue

    public DbValue(DbColDesc desc)

Method Detail

### getSqlType

    public int getSqlType()

  Returns the SqlType.

  Returns:
    SqlType, which is one of the following:
    - Db.SQL_BIGINT
    - Db.SQL_BINARY
    - Db.SQL_BIT
    - Db.SQL_CHAR
    - Db.SQL_DATE
    - Db.SQL_DECIMAL
    - Db.SQL_FLOAT
    - Db.SQL_INTEGER
    - Db.SQL_LONGVARBINARY
    - Db.SQL_LONGVARCHAR
    - Db.SQL_NUMERIC
    - Db.SQL_REAL
    - Db.SQL_SMALLINT
    - Db.SQL_TIME
    - Db.SQL_TIMESTAMP
    - Db.SQL_TINYINT
    - Db.SQL_VARBINARY
    - Db.SQL_VARCHAR

### getPrecision

    public int getPrecision()

### getScale

    public int getScale()

### getColDesc

    public DbColDesc getColDesc()

### setColDesc

    public void setColDesc(DbColDesc desc)

### isCurrency

    public boolean isCurrency()

  Is this object a cash value?

  Returns:
    true if so.

  See Also:
    `Db.SQL_DECIMAL
    - Db.SQL_NUMERIC
    `, `BigDecimal`

### isNull

    public boolean isNull()

  Returns the value null state.

  Returns:
    true null

### setNull

    public void setNull()

  Set the value to null.

### set

    public abstract void set(java.sql.ResultSet rs,
                             int col)
                      throws java.sql.SQLException

  Set the value with result set.

  Parameters:
    `rs` - the source value result set.
    `col` - the source value column number in the rs.
  Throws:
    `java.sql.SQLException`

### set

    public void set(JRHierarchicalDataset hds,
                    int col)
             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### set

    public abstract void set(DbValue v)

  Set the value with DbValue.

### setValue

    public void setValue(DbValue v)

### setfoo

    public void setfoo(DbValue v)

### clone

    public abstract java.lang.Object clone()

  Creates a clone of this DbValue variable.

  Overrides:
    `clone` in class `java.lang.Object`

### equals

    public abstract boolean equals(DbValue v)

  Determine if another DbValue object is of equal value as this DbValue Object

### equals

    public boolean equals(java.lang.Object v)

  Overrides:
    `equals` in class `java.lang.Object`

### setValue

    public abstract void setValue(java.lang.String v)

  Set the value with a string.

### compareTo

    public abstract int compareTo(DbValue v)

  Compare with the dbvalue v;

  Returns:
    LESS, EQUAL, GREAT.

### makeDbValue

    public static final DbValue makeDbValue(DbColDesc desc)

  Make a dbvalue with the column description.

### toString

    public abstract java.lang.String toString()

  Convert the value to string.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD